---
- name: "Include OS-specific variables for {{ ansible_distribution }} {{ ansible_distribution_major_version }} ({{ ansible_os_family }})"
  include_vars: "{{ item }}"
  with_first_found:
    - "{{ ansible_distribution }}{{ ansible_distribution_major_version }}.yml"
    - "{{ ansible_distribution }}.yml"
    - "{{ ansible_os_family }}.yml"
  tags: always


- name: Use pam_cgroup and libcgroup for resource limitation
  include_tasks: 'libcgroup.yml'

- name: Use systemd only for resource limitation
  include_tasks: 'systemd.yml'

